Bug 1498870 (CVE-2017-15041) - CVE-2017-15041 golang: arbitrary code execution during "go get" or "go get -d"
Summary: CVE-2017-15041 golang: arbitrary code execution during "go get" or "go get -d"
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15041
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1498872 1498873 1499160 1500591 1565783
Blocks: 1498774 1498876
TreeView+ depends on / blocked
 
Reported: 2017-10-05 13:08 UTC by Adam Mariš
Modified: 2019-09-29 14:23 UTC (History)
30 users (show)

Fixed In Version: golang 1.8.4, golang 1.9.1
Doc Type: If docs needed, set a value
Doc Text:
An arbitrary command execution flaw was found in the way Go's "go get" command handled the checkout of source code repositories. A remote attacker capable of hosting malicious repositories could potentially use this flaw to cause arbitrary command execution on the client side.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:26:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3463 normal SHIPPED_LIVE Moderate: go-toolset-7 and go-toolset-7-golang security and bug fix update 2017-12-14 16:34:49 UTC
Red Hat Product Errata RHSA-2018:0878 None None None 2018-04-10 08:27:42 UTC

Description Adam Mariš 2017-10-05 13:08:36 UTC
Using custom domains, it is possible to arrange things so that example.com/pkg1 points to a Subversion repository but example.com/pkg1/pkg2 points to a Git repository. If the Subversion repository includes a Git checkout in its pkg2 directory and some other work is done to ensure the proper ordering of operations, “go get” can be tricked into reusing this Git checkout for the fetch of code from pkg2. If the Subversion repository’s Git checkout has a malicious code in .git/hooks/, it will execute on the system running “go get.”

Upstream bug:

https://github.com/golang/go/issues/22125

Upstream patches:

Go 1.8: https://go-review.googlesource.com/c/go/+/68190
Go 1.9: https://go-review.googlesource.com/c/go/+/68022

Comment 1 Adam Mariš 2017-10-05 13:09:50 UTC
Created golang tracking bugs for this issue:

Affects: epel-6 [bug 1498872]
Affects: fedora-all [bug 1498873]

Comment 2 Joshua Padman 2017-10-06 00:10:03 UTC
github issue was updated to include CVE-2017-15041

Comment 4 errata-xmlrpc 2017-12-14 11:36:29 UTC
This issue has been addressed in the following products:

  Red Hat Developer Tools

Via RHSA-2017:3463 https://access.redhat.com/errata/RHSA-2017:3463

Comment 6 errata-xmlrpc 2018-04-10 08:27:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0878 https://access.redhat.com/errata/RHSA-2018:0878


Note You need to log in before you can comment on or make changes to this bug.